SELECT ('USER#' + users.username) AS PK,
       ('#METADATA#' + users.username) AS SK,
       users.address,
       users.birthdate,
       users.email,
       users.name,
       users.username
INTO dynamodb_users
FROM users

GO

SELECT ('GAME#' + games.game_id) AS PK,
       ('#METADATA#' + games.game_id) AS SK,
       games.game_id as game_id,
       maps.map_name as map,
       games.create_time as create_time,
       games.create_time as open_timestamp,
       users.username as creator,
       count(*) as people
INTO dynamodb_open_games
FROM games
JOIN maps ON games.map_id = maps.map_id
JOIN users ON games.creator_id = users.user_id
JOIN user_games ON games.game_id = user_games.game_id
WHERE start_time IS NULL
GROUP BY games.game_id, maps.map_name, games.create_time, users.username

GO

SELECT ('GAME#' + games.game_id) AS PK,
       ('#METADATA#' + games.game_id) AS SK,
       games.game_id as game_id,
       maps.map_name as map,
       games.create_time as create_time,
       users.username as creator,
       count(*) as people
INTO dynamodb_closed_games
FROM games
JOIN maps ON games.map_id = maps.map_id
JOIN users ON games.creator_id = users.user_id
JOIN user_games ON games.game_id = user_games.game_id
WHERE start_time IS NOT NULL
GROUP BY games.game_id, maps.map_name, games.create_time, users.username

GO

SELECT ('GAME#' + user_games.game_id) AS PK,
       ('USER#' + users.username) AS SK,
       user_games.game_id,
       users.username
INTO dynamodb_user_game_mappings
FROM user_games
JOIN users ON user_games.user_id = users.user_id