USE master

GO

DROP DATABASE IF EXISTS gaming

GO

CREATE DATABASE gaming

GO

USE gaming

GO

CREATE TABLE maps (
    map_id INT PRIMARY KEY,
    map_name VARCHAR(40) NOT NULL
)

GO

CREATE TABLE users (
    user_id INT PRIMARY KEY,
    username VARCHAR(30) NOT NULL,
    name VARCHAR(50) NOT NULL,
    email VARCHAR(50) NOT NULL,
    address VARCHAR(200) NOT NULL,
    birthdate date NOT NULL
)

GO

CREATE TABLE games (
    game_id VARCHAR(40) NOT NULL  
        DEFAULT newid() PRIMARY KEY,
    map_id INT NOT NULL
        REFERENCES maps(map_id),
    create_time datetime NOT NULL,
    creator_id INT NOT NULL
        REFERENCES users(user_id),
    start_time datetime NULL,
)

GO

CREATE TABLE user_games (
    game_id VARCHAR(40) NOT NULL
        REFERENCES games(game_id),
    user_id INT NOT NULL
        REFERENCES users(user_id)
)

GO